<?xml version="1.0" encoding="utf-8"?>
<application>
    <name>Addressbook</name>
    <version>7.8</version>
    <order>10</order>
    <depends>
        <application>Admin</application>
    </depends>
    <tables>
        <table>
            <name>addressbook</name>
            <engine>InnoDB</engine>
            <charset>utf8</charset>
            <version>18</version>
            <declaration>
                <field>
                    <name>id</name>
                    <type>text</type>
                    <length>40</length>
                    <notnull>true</notnull>
                </field>
                <field>
                    <name>adr_one_countryname</name>
                    <type>text</type>
                    <length>64</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>adr_one_locality</name>
                    <type>text</type>
                    <length>64</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>adr_one_postalcode</name>
                    <type>text</type>
                    <length>64</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>adr_one_region</name>
                    <type>text</type>
                    <length>64</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>adr_one_street</name>
                    <type>text</type>
                    <length>64</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>adr_one_street2</name>
                    <type>text</type>
                    <length>64</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>adr_one_lon</name>
                    <type>float</type>
                    <unsigned>false</unsigned>
                </field>
                <field>
                    <name>adr_one_lat</name>
                    <type>float</type>
                    <unsigned>false</unsigned>
                </field>
                <field>
                    <name>adr_two_countryname</name>
                    <type>text</type>
                    <length>64</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>adr_two_locality</name>
                    <type>text</type>
                    <length>64</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>adr_two_postalcode</name>
                    <type>text</type>
                    <length>64</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>adr_two_region</name>
                    <type>text</type>
                    <length>64</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>adr_two_street</name>
                    <type>text</type>
                    <length>64</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>adr_two_street2</name>
                    <type>text</type>
                    <length>64</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>adr_two_lon</name>
                    <type>float</type>
                    <unsigned>false</unsigned>
                </field>
                <field>
                    <name>adr_two_lat</name>
                    <type>float</type>
                    <unsigned>false</unsigned>
                </field>
                <field>
                    <name>cat_id</name>
                    <type>text</type>
                    <length>255</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>assistent</name>
                    <type>text</type>
                    <length>64</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>bday</name>
                    <type>datetime</type>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>calendar_uri</name>
                    <type>text</type>
                    <length>128</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>email</name>
                    <type>text</type>
                    <length>255</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>email_home</name>
                    <type>text</type>
                    <length>255</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>freebusy_uri</name>
                    <type>text</type>
                    <length>128</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>geo</name>
                    <type>text</type>
                    <length>32</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>label</name>
                    <type>clob</type>
                </field>
                <field>
                    <name>note</name>
                    <type>clob</type>
                </field>
                <field>
                    <name>container_id</name>
                    <type>integer</type>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>private</name>
                    <type>boolean</type>
                    <default>false</default>
                </field>
                <field>
                    <name>pubkey</name>
                    <type>clob</type>
                </field>
                <field>
                    <name>role</name>
                    <type>text</type>
                    <length>64</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>room</name>
                    <type>text</type>
                    <length>64</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>tid</name>
                    <type>text</type>
                    <length>1</length>
                    <default>n</default>
                </field>
                <field>
                    <name>salutation</name>
                    <type>text</type>
                    <length>40</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>title</name>
                    <type>text</type>
                    <length>64</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>tz</name>
                    <type>text</type>
                    <length>8</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>url</name>
                    <type>text</type>
                    <length>128</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>url_home</name>
                    <type>text</type>
                    <length>128</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>n_family</name>
                    <type>text</type>
                    <length>255</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>n_fileas</name>
                    <type>text</type>
                    <length>255</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>n_fn</name>
                    <type>text</type>
                    <length>255</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>n_given</name>
                    <type>text</type>
                    <length>255</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>n_middle</name>
                    <type>text</type>
                    <length>64</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>n_prefix</name>
                    <type>text</type>
                    <length>64</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>n_suffix</name>
                    <type>text</type>
                    <length>64</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>org_name</name>
                    <type>text</type>
                    <length>255</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>org_unit</name>
                    <type>text</type>
                    <length>64</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>tel_assistent</name>
                    <type>text</type>
                    <length>40</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>tel_car</name>
                    <type>text</type>
                    <length>40</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>tel_cell</name>
                    <type>text</type>
                    <length>40</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>tel_cell_private</name>
                    <type>text</type>
                    <length>40</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>tel_fax</name>
                    <type>text</type>
                    <length>40</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>tel_fax_home</name>
                    <type>text</type>
                    <length>40</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>tel_home</name>
                    <type>text</type>
                    <length>40</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>tel_other</name>
                    <type>text</type>
                    <length>40</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>tel_pager</name>
                    <type>text</type>
                    <length>40</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>tel_prefer</name>
                    <type>text</type>
                    <length>32</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>tel_work</name>
                    <type>text</type>
                    <length>40</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>created_by</name>
                    <type>text</type>
                    <length>40</length>
                </field>
                <field>
                    <name>creation_time</name>
                    <type>datetime</type>
                </field> 
                <field>
                    <name>last_modified_by</name>
                    <type>text</type>
                    <length>40</length>
                </field>
                <field>
                    <name>last_modified_time</name>
                    <type>datetime</type>
                </field>
                <field>
                    <name>is_deleted</name>
                    <type>boolean</type>
                    <default>false</default>
                </field>
                <field>
                    <name>deleted_by</name>
                    <type>text</type>
                    <length>40</length>
                </field>
                <field>
                    <name>deleted_time</name>
                    <type>datetime</type>
                </field>
                <field>
                    <name>seq</name>
                    <type>integer</type>
                    <notnull>true</notnull>
                    <default>0</default>
                </field>
                <field>
                    <name>type</name>
                    <type>text</type>
                    <length>128</length>
                    <notnull>true</notnull>
                    <default>contact</default>
                </field>
                <index>
                    <name>id</name>
                    <primary>true</primary>
                    <unique>true</unique>
                    <field>
                        <name>id</name>
                    </field>
                </index>
                <index>
                    <name>cat_id</name>
                    <field>
                        <name>cat_id</name>
                    </field>
                </index>
                <index>
                    <name>container_id</name>
                    <field>
                        <name>container_id</name>
                    </field>
                </index>
                <index>
                    <name>n_family-n_given</name>
                    <field>
                        <name>n_family</name>
                    </field>
                    <field>
                        <name>n_given</name>
                    </field>
                </index>
                <index>
                    <name>n_fileas</name>
                    <field>
                        <name>n_fileas</name>
                    </field>
                </index>
                <index>
                    <name>n_given_n_family</name>
                    <field>
                        <name>n_given</name>
                    </field>
                    <field>
                        <name>n_family</name>
                    </field>
                </index>
                <index>
                    <name>addressbook::container_id--container::id</name>
                    <field>
                        <name>container_id</name>
                    </field>
                    <foreign>true</foreign>
                    <reference>
                        <table>container</table>
                        <field>id</field>
                    </reference>
                </index>   
                <index>
                    <name>type</name>
                    <field>
                        <name>type</name>
                    </field>
                </index>
            </declaration>
        </table>
        <table>
            <name>addressbook_image</name>
            <version>2</version>
            <declaration>
                <field>
                    <name>contact_id</name>
                    <type>text</type>
                    <length>40</length>
                    <notnull>true</notnull>
                </field>
                <field>
                    <name>image</name>
                    <type>blob</type>
                </field>
                <index>
                    <name>contact_id</name>
                    <primary>true</primary>
                    <field>
                        <name>contact_id</name>
                    </field>
                </index>
                <index>
                    <name>addressbook_image::contact_id-addressbook::id</name>
                    <field>
                        <name>contact_id</name>
                    </field>
                    <foreign>true</foreign>
                    <reference>
                        <table>addressbook</table>
                        <field>id</field>
                        <ondelete>CASCADE</ondelete>
                        <onupdate>CASCADE</onupdate>
                    </reference>
                    <ondelete>cascade</ondelete>
                </index>
            </declaration>
        </table>
        <table>
            <name>addressbook_lists</name>
            <version>5</version>
            <declaration>
                <field>
                    <name>id</name>
                    <type>text</type>
                    <length>40</length>
                    <notnull>true</notnull>
                </field>
                <field>
                    <name>container_id</name>
                    <type>integer</type>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>name</name>
                    <type>text</type>
                    <length>128</length>
                    <notnull>true</notnull>
                </field>
                <field>
                    <name>description</name>
                    <type>text</type>
                    <length>255</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>email</name>
                    <type>text</type>
                    <length>64</length>
                    <notnull>false</notnull>
                </field>
                <field>
                    <name>type</name>
                    <type>text</type>
                    <length>32</length>
                    <notnull>true</notnull>
                    <default>list</default>
                </field>
                <field>
                    <name>created_by</name>
                    <type>text</type>
                    <length>40</length>
                </field>
                <field>
                    <name>creation_time</name>
                    <type>datetime</type>
                </field> 
                <field>
                    <name>last_modified_by</name>
                    <type>text</type>
                    <length>40</length>
                </field>
                <field>
                    <name>last_modified_time</name>
                    <type>datetime</type>
                </field>
                <field>
                    <name>is_deleted</name>
                    <type>boolean</type>
                    <default>false</default>
                </field>
                <field>
                    <name>deleted_by</name>
                    <type>text</type>
                    <length>40</length>
                </field>            
                <field>
                    <name>deleted_time</name>
                    <type>datetime</type>
                </field>
                <index>
                    <name>id</name>
                    <primary>true</primary>
                    <field>
                        <name>id</name>
                    </field>
                </index>                
                <index>
                    <name>created_by-name</name>
                    <unique>true</unique>
                    <field>
                        <name>created_by</name>
                    </field>
                    <field>
                        <name>name</name>
                    </field>
                </index>
                <index>
                    <name>container_id</name>
                    <field>
                        <name>container_id</name>
                    </field>
                </index>
                <index>
                    <name>created_by</name>
                    <field>
                        <name>created_by</name>
                    </field>
                </index>
            </declaration>
        </table>
        <table>
            <name>addressbook_list_members</name>
            <version>3</version>
            <declaration>
                <field>
                    <name>list_id</name>
                    <type>text</type>
                    <length>40</length>
                    <notnull>true</notnull>
                </field>
                <field>
                    <name>contact_id</name>
                    <type>text</type> 
                    <length>40</length> 
                    <notnull>true</notnull>
                </field>

                <index>
                    <name>list_id-contact_id</name>
                    <primary>true</primary>
                    <field>
                        <name>list_id</name>
                    </field>
                    <field>
                        <name>contact_id</name>
                    </field>
                </index>
                <index>
                    <name>list_id</name>
                    <field>
                        <name>list_id</name>
                    </field>
                </index>
                <index>
                    <name>contact_id</name>
                    <field>
                        <name>contact_id</name>
                    </field>
                </index>
                <index>
                    <name>adressbook_list_members::list_id--addressbook_lists::id</name>
                    <field>
                        <name>list_id</name>
                    </field>
                    <foreign>true</foreign>
                    <reference>
                        <table>addressbook_lists</table>
                        <field>id</field>
                        <ondelete>CASCADE</ondelete>
                        <onupdate>CASCADE</onupdate>
                    </reference>
                </index>
                <index>
                    <name>addressbook_list_members::contact_id--addressbook::id</name>
                    <field>
                        <name>contact_id</name>
                    </field>
                    <foreign>true</foreign>
                    <reference>
                        <table>addressbook</table>
                        <field>id</field>
                        <ondelete>CASCADE</ondelete>
                        <onupdate>CASCADE</onupdate>
                    </reference>
                </index>
            </declaration>
        </table>
        <table>
            <name>addressbook_certificates</name>
            <version>2</version>
            <declaration>
                <field>
                    <name>hash</name>
                    <type>text</type>
                    <length>64</length>
                    <notnull>true</notnull>
                </field>
                <field>
                    <name>auth_key_identifier</name>
                    <type>text</type>
                    <length>64</length>
                    <notnull>true</notnull>
                </field>
                <field>
                    <name>email</name>
                    <type>text</type>
                    <length>320</length>
                    <notnull>true</notnull>
                </field>
                <field>
                    <name>certificate</name>
                    <type>text</type>
                    <notnull>true</notnull>
                </field>
                <field>
                    <name>invalid</name>
                    <type>boolean</type>
                    <default>false</default>
                </field>
                <index>
                    <name>hash-auth_key_identifier</name>
                    <primary>true</primary>
                    <field>
                        <name>hash</name>
                    </field>
                    <field>
                        <name>auth_key_identifier</name>
                    </field>
                </index>
                <index>
                    <name>email</name>
                    <field>
                        <name>email</name>
                    </field>
                </index>
            </declaration>
        </table>
    </tables>    
    <defaultRecords>
        <record>
            <table>
                <name>container</name>
            </table>
            <field>
                <name>name</name>
                <value>Internal Contacts</value>
                <!-- gettext('Internal Contacts') -->
            </field>
            <field>
                <name>type</name>
                <value>shared</value>
            </field>
            <field>
                <name>backend</name>
                <value>sql</value>
            </field>
            <field>
                <name>application_id</name>
                <value special="application_id">Addressbook</value>
            </field>
        </record>
    </defaultRecords>
</application>